
#include "exchange/RingBuffer.h"

int main() {
    RingBuffer buffer(4);
    buffer.write_cursor_inc(2);
    buffer.read_cursor_inc(2);

    int32_t expected[]{1, 2, 3, 4};
    int32_t actual[4]{0};

    buffer.write_next(expected, 4);
    buffer.read_next(actual, 4);

    for (int i = 0; i < 4; i++)
        if (actual[i] != expected[i])
            return i + 1;
    
    return 0;
}