
#include "TimeCompressor.h"

class TimeCompressorTester : public TimeCompressor {
public:
    TimeCompressorTester() : TimeCompressor(16)
    {}
    int remove_elements_tester(int32_t* arr, std::pair<int, int32_t>* indices, const size_t& size_arr, const size_t& size_indices) {
        return remove_elements(arr, indices, size_arr, size_indices);
    }
};

struct SampleEntry {
    int index;
    int32_t distance;
};

int main() {
    int32_t data[7] { 0, 1, 2, 3, 4, 5, 6 };
    int32_t expected[7] { 0, 2, 4, 6, 4, 5, 6 };
    std::pair<int, int32_t> indices[3]{ {1, -1}, {3, -1}, {5, -1} };
    int initialBufferSize = 16;
    TimeCompressorTester obj;

    
    
    obj.remove_elements_tester(data, &indices[0], 7, 3);

    
    
    for (int i = 0; i < 4; i++)
        if (data[i] != expected[i])
            return i + 1;

    return 0;
}