#include "exchange/RingBuffer.h"

int main() {
    RingBuffer buffer(1);

    int32_t data1_expected = 1;
    int32_t data1_actual = 0;
    int32_t data2_expected = 2;
    int32_t data2_actual = 0;
    int available0 = 0;
    int available1 = 0;
    int available2 = 0;
    int available3 = 0;
    int available4 = 0;



    available0 = buffer.get_data_amount();

    buffer.write_next(&data1_expected, 1);
    available1 = buffer.get_data_amount();
    buffer.read_next(&data1_actual, 1);

    available2 = buffer.get_data_amount();

    buffer.write_next(&data2_expected, 1);
    available3 = buffer.get_data_amount();
    buffer.read_next(&data2_actual, 1);

    available4 = buffer.get_data_amount();



    if (data1_actual != data1_expected)
        return 1;
    if (data2_actual != data2_expected)
        return 2;
    if (available0 != 0)
        return 3;
    if (available1 != 1)
        return 4;
    if (available2 != 0)
        return 5;
    if (available3 != 1)
        return 6;
    if (available4 != 0)
        return 7;
    
    return 0;
}